@echo off
cls
rem  Example batch file to automate the rendering process.
rem  
rem  This version runs FpcPoly with the command script panel.pcs
rem  and only renders the top view.
rem
rem  If the background image does not exist, the test image
rem  is rendered and execution will pause to allow
rem  background image creation. If it does exist, test image
rem  rendering is skipped.

echo.
echo Top Gerbers:
fpcpoly Cpanel
if errorlevel 1 goto error

rem if the background already exists, skip the test.png render and pause
if not exist Background.png goto dotest

echo.
echo *** The file Background.png already exists, skipping background creation. ***
echo.
goto rendr

:dotest
echo.
echo No background found, rendering test.png:
echo.
pcb-render test.pcbjob -o test.png
if errorlevel 1 goto error

echo.
echo Examine test.png to determine image size, create 
echo the background image and when it is saved as 
echo Background.png ...
echo.
pause

:rendr
echo.
echo Rendering top_view.png:
echo.
pcb-render board_top.pcbjob -o top_view.png
if errorlevel 1 goto error

echo.
echo Rendering complete
goto exit

:error
echo.
echo *** An error was found, processing terminated! ***
echo.

:exit
echo on
